package javax.sql.rowset.spi;

import com.sun.rowset.internal.SyncResolverImpl;
import java.sql.SQLException;

public class SyncProviderException extends SQLException
{
    private SyncResolver syncResolver;
    static final long serialVersionUID = -939908523620640692L;
    
    public SyncProviderException() {
        this.syncResolver = null;
    }
    
    public SyncProviderException(String reason) {
        super(reason);
        this.syncResolver = null;
    }
    
    public SyncProviderException(SyncResolver syncResolver) {
        this.syncResolver = null;
        if (syncResolver == null) {
            throw new IllegalArgumentException("Cannot instantiate a SyncProviderException with a null SyncResolver object");
        }
        this.syncResolver = syncResolver;
        return;
    }
    
    public SyncResolver getSyncResolver() {
        if (this.syncResolver != null) {
            return this.syncResolver;
        }
        try {
            this.syncResolver = new SyncResolverImpl();
        }
        catch (SQLException ex) {}
        return this.syncResolver;
    }
    
    public void setSyncResolver(SyncResolver syncResolver) {
        if (syncResolver == null) {
            throw new IllegalArgumentException("Cannot set a null SyncResolver object");
        }
        this.syncResolver = syncResolver;
        return;
    }
}
